#
# spec file for package python-sphinxcontrib-github-alt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-sphinxcontrib-github-alt
Version:        1.0
Release:        lp151.2.43
Summary:        Link to GitHub issues, pull requests, commits and users from Sphinx docs
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://github.com/Calysto/octave_kernel
Source0:        https://files.pythonhosted.org/packages/py2.py3/s/sphinxcontrib_github_alt/sphinxcontrib_github_alt-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-docutils
BuildArch:      noarch

%python_subpackages

%description
Link to GitHub issues, pull requests, commits and users for a
particular project.

To use this extension, add it to the extensions list in conf.py,
and set the variable github_project_url:

%prep
%setup -T -c -n %{name}-%{version}

%build
# Not needed

%install
%{python_expand pip%{$python_bin_suffix} install \
    --root %{buildroot} \
    --prefix %{_prefix} \
    --compile \
    %{SOURCE0}
}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/sphinxcontrib_github_alt.py*
%pycache_only %{python_sitelib}/__pycache__/sphinxcontrib_github_alt*.py*
%{python_sitelib}/sphinxcontrib_github_alt-%{version}.dist-info

%changelog
* Wed Sep 20 2017 toddrme2178@gmail.com
- Initial version
